org.eclipse.microprofile.context.tck.cdi

## Class TransactionalBeanImpl

- java.lang.Object
- - org.eclipse.microprofile.context.tck.cdi.TransactionalBeanImpl

All Implemented Interfaces:
  Serializable, TransactionalBean

    public class TransactionalBeanImpl
    extends Object
    implements TransactionalBean, Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransactionalBeanImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getValue()`
`void` `incrementValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionalBeanImpl

    public TransactionalBeanImpl()

### Method Detail

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `TransactionalBean`

#### incrementValue

    public void incrementValue()

Specified by:
  `incrementValue` in interface `TransactionalBean`